/*************************************************************************
 *
 **************************************************************************/
#include "includes.h"
#include "System/system.h"

bool cTxos::bDrawBMPFile(unsigned short usCalNumber)
{
	unsigned short usX;
	unsigned char  ucY;
	
	vHighSpeedOperation();
	
	if(!bOpenFile(usCalNumber))
	{
		vNormalOperation();
		
		return 0;
	}
	
	if(!bReadFile())
	{
		vNormalOperation();
		
		return 0;
	}
	
	if(ucFileBlockData[0]==0x42 && ucFileBlockData[1]==0x4d)
	{
		usCalNumber = ucFileBlockData[10]|(ucFileBlockData[11]<<8);
		
		for(ucY=240; ucY>0; )
		{
			ucY--;
			for(usX=0; usX<320;usX++)
			{			
				if(usCalNumber == 512)
				{
					if(!bReadFile())
					{
						vNormalOperation();
						
						return 0;
					}
					
					usCalNumber = 0;
				}
				vPrintPixel(usX,ucY,ucFileBlockData[usCalNumber]|(ucFileBlockData[usCalNumber+1]<<8));
				usCalNumber+=2;
			}
		}
		vNormalOperation();
		
		return 1;
	}
	vNormalOperation();
	
	return 0;
}

bool cTxos::bGetNuFromPhBook(unsigned short usCalNumber)
{
	unsigned int	uiX;
	unsigned char	ucY=0, ucI;
	bool			bOK=false, bName = true;
	
	if(!bOpenFile(usCalNumber))
		return 0;
	
	if(!bReadFile())
		return 0;
	
	for(uiX=0; uiX<512; uiX++)
	{
		if(ucFileBlockData[uiX] == '#')
			bOK = true;
		else if(ucFileBlockData[uiX] == '*')
			return 1;
		else if(bOK == true)
		{
			if(bName)
			{
				if(ucFileBlockData[uiX] == ':')
					bName = false;
				else
				{
					ucI = strlen(ucPhoneBook[ucY]);
					ucPhoneBook[ucY][ucI] = ucFileBlockData[uiX];
					ucPhoneBook[ucY][ucI+1] = '\0';
				}
			}
			else if(ucFileBlockData[uiX] == '|')
			{
				bName = true;
				ucY++;
			}
			else
			{
				ucI = strlen(ucPhoneBookNumber[ucY]);
				ucPhoneBookNumber[ucY][ucI] = ucFileBlockData[uiX];
				ucPhoneBookNumber[ucY][ucI+1] = '\0';
			}
		}
	}
	
		vSetPBGCS(30, 0xffff, 0x0000, 1);
		vSPrint("zereshk*");
	return 0;
}

bool cTxos::bDrawSMSBMPFile()
{
	unsigned short usX, usCalNumber=usFileSMSOSR[ucSWMode-2];
	unsigned char  ucY;
	
	vHighSpeedOperation();
	
	if(!bOpenFile(usCalNumber))
	{
		vNormalOperation();
		
		return 0;
	}
	
	if(!bReadFile())
	{
		vNormalOperation();
		
		return 0;
	}
	
	if(ucFileBlockData[0]==0x42 && ucFileBlockData[1]==0x4d)
	{
		usCalNumber = ucFileBlockData[10]|(ucFileBlockData[11]<<8);
		
		for(ucY=240; ucY>64; )
		{
			ucY--;
			for(usX=0; usX<320;usX++)
			{			
				if(usCalNumber == 512)
				{
					if(!bReadFile())
					{
						vNormalOperation();
						
						return 0;
					}
					
					usCalNumber = 0;
				}
				vPrintPixel(usX,ucY,ucFileBlockData[usCalNumber]|(ucFileBlockData[usCalNumber+1]<<8));
				usCalNumber+=2;
			}
		}
		vNormalOperation();
		
		return 1;
	}
	vNormalOperation();
	
	return 0;
}