/*************************************************************************
 *lcd font size

//0 POS: 0 to 599 (40*15)
//1 POS: 0 to 139 (20*07)
//2 POS: 0 to 064 (13*05)
 **************************************************************************/
#include "includes.h"

#define	________	0x0
#define	_______X	0x1
#define	______X_	0x2
#define	______XX	0x3
#define	_____X__	0x4
#define	_____X_X	0x5
#define	_____XX_	0x6
#define	_____XXX	0x7
#define	____X___	0x8
#define	____X__X	0x9
#define	____X_X_	0xa
#define	____X_XX	0xb
#define	____XX__	0xc
#define	____XX_X	0xd
#define	____XXX_	0xe
#define	____XXXX	0xf
#define	___X____	0x10
#define	___X___X	0x11
#define	___X__X_	0x12
#define	___X__XX	0x13
#define	___X_X__	0x14
#define	___X_X_X	0x15
#define	___X_XX_	0x16
#define	___X_XXX	0x17
#define	___XX___	0x18
#define	___XX__X	0x19
#define	___XX_X_	0x1a
#define	___XX_XX	0x1b
#define	___XXX__	0x1c
#define	___XXX_X	0x1d
#define	___XXXX_	0x1e
#define	___XXXXX	0x1f
#define	__X_____	0x20
#define	__X____X	0x21
#define	__X___X_	0x22
#define	__X___XX	0x23
#define	__X__X__	0x24
#define	__X__X_X	0x25
#define	__X__XX_	0x26
#define	__X__XXX	0x27
#define	__X_X___	0x28
#define	__X_X__X	0x29
#define	__X_X_X_	0x2a
#define	__X_X_XX	0x2b
#define	__X_XX__	0x2c
#define	__X_XX_X	0x2d
#define	__X_XXX_	0x2e
#define	__X_XXXX	0x2f
#define	__XX____	0x30
#define	__XX___X	0x31
#define	__XX__X_	0x32
#define	__XX__XX	0x33
#define	__XX_X__	0x34
#define	__XX_X_X	0x35
#define	__XX_XX_	0x36
#define	__XX_XXX	0x37
#define	__XXX___	0x38
#define	__XXX__X	0x39
#define	__XXX_X_	0x3a
#define	__XXX_XX	0x3b
#define	__XXXX__	0x3c
#define	__XXXX_X	0x3d
#define	__XXXXX_	0x3e
#define	__XXXXXX	0x3f
#define	_X______	0x40
#define	_X_____X	0x41
#define	_X____X_	0x42
#define	_X____XX	0x43
#define	_X___X__	0x44
#define	_X___X_X	0x45
#define	_X___XX_	0x46
#define	_X___XXX	0x47
#define	_X__X___	0x48
#define	_X__X__X	0x49
#define	_X__X_X_	0x4a
#define	_X__X_XX	0x4b
#define	_X__XX__	0x4c
#define	_X__XX_X	0x4d
#define	_X__XXX_	0x4e
#define	_X__XXXX	0x4f
#define	_X_X____	0x50
#define	_X_X___X	0x51
#define	_X_X__X_	0x52
#define	_X_X__XX	0x53
#define	_X_X_X__	0x54
#define	_X_X_X_X	0x55
#define	_X_X_XX_	0x56
#define	_X_X_XXX	0x57
#define	_X_XX___	0x58
#define	_X_XX__X	0x59
#define	_X_XX_X_	0x5a
#define	_X_XX_XX	0x5b
#define	_X_XXX__	0x5c
#define	_X_XXX_X	0x5d
#define	_X_XXXX_	0x5e
#define	_X_XXXXX	0x5f
#define	_XX_____	0x60
#define	_XX____X	0x61
#define	_XX___X_	0x62
#define	_XX___XX	0x63
#define	_XX__X__	0x64
#define	_XX__X_X	0x65
#define	_XX__XX_	0x66
#define	_XX__XXX	0x67
#define	_XX_X___	0x68
#define	_XX_X__X	0x69
#define	_XX_X_X_	0x6a
#define	_XX_X_XX	0x6b
#define	_XX_XX__	0x6c
#define	_XX_XX_X	0x6d
#define	_XX_XXX_	0x6e
#define	_XX_XXXX	0x6f
#define	_XXX____	0x70
#define	_XXX___X	0x71
#define	_XXX__X_	0x72
#define	_XXX__XX	0x73
#define	_XXX_X__	0x74
#define	_XXX_X_X	0x75
#define	_XXX_XX_	0x76
#define	_XXX_XXX	0x77
#define	_XXXX___	0x78
#define	_XXXX__X	0x79
#define	_XXXX_X_	0x7a
#define	_XXXX_XX	0x7b
#define	_XXXXX__	0x7c
#define	_XXXXX_X	0x7d
#define	_XXXXXX_	0x7e
#define	_XXXXXXX	0x7f
#define	X_______	0x80
#define	X______X	0x81
#define	X_____X_	0x82
#define	X_____XX	0x83
#define	X____X__	0x84
#define	X____X_X	0x85
#define	X____XX_	0x86
#define	X____XXX	0x87
#define	X___X___	0x88
#define	X___X__X	0x89
#define	X___X_X_	0x8a
#define	X___X_XX	0x8b
#define	X___XX__	0x8c
#define	X___XX_X	0x8d
#define	X___XXX_	0x8e
#define	X___XXXX	0x8f
#define	X__X____	0x90
#define	X__X___X	0x91
#define	X__X__X_	0x92
#define	X__X__XX	0x93
#define	X__X_X__	0x94
#define	X__X_X_X	0x95
#define	X__X_XX_	0x96
#define	X__X_XXX	0x97
#define	X__XX___	0x98
#define	X__XX__X	0x99
#define	X__XX_X_	0x9a
#define X__XX_XX	0x9b
#define X__XXX__	0x9c
#define X__XXX_X	0x9d
#define	X__XXXX_	0x9e
#define	X__XXXXX	0x9f
#define	X_X_____	0xa0
#define	X_X____X	0xa1
#define	X_X___X_	0xa2
#define	X_X___XX	0xa3
#define	X_X__X__	0xa4
#define	X_X__X_X	0xa5
#define	X_X__XX_	0xa6
#define	X_X__XXX	0xa7
#define	X_X_X___	0xa8
#define	X_X_X__X	0xa9
#define	X_X_X_X_	0xaa
#define	X_X_X_XX	0xab
#define	X_X_XX__	0xac
#define	X_X_XX_X	0xad
#define	X_X_XXX_	0xae
#define	X_X_XXXX	0xaf
#define	X_XX____	0xb0
#define X_XX___X	0xb1
#define	X_XX__X_	0xb2
#define	X_XX__XX	0xb3
#define	X_XX_X__	0xb4
#define	X_XX_X_X	0xb5
#define	X_XX_XX_	0xb6
#define	X_XX_XXX	0xb7
#define	X_XXX___	0xb8
#define	X_XXX__X	0xb9
#define	X_XXX_X_	0xba
#define	X_XXX_XX	0xbb
#define	X_XXXX__	0xbc
#define	X_XXXX_X	0xbd
#define	X_XXXXX_	0xbe
#define	X_XXXXXX	0xbf
#define	XX______	0xc0
#define	XX_____X	0xc1
#define	XX____X_	0xc2
#define	XX____XX	0xc3
#define	XX___X__	0xc4
#define	XX___X_X	0xc5
#define	XX___XX_	0xc6
#define	XX___XXX	0xc7
#define	XX__X___	0xc8
#define	XX__X__X	0xc9
#define	XX__X_X_	0xca
#define	XX__X_XX	0xcb
#define	XX__XX__	0xcc
#define	XX__XX_X	0xcd
#define	XX__XXX_	0xce
#define XX__XXXX	0xcf
#define	XX_X____	0xd0
#define	XX_X___X	0xd1
#define	XX_X__X_	0xd2
#define	XX_X__XX	0xd3
#define	XX_X_X__	0xd4
#define	XX_X_X_X	0xd5
#define	XX_X_XX_	0xd6
#define	XX_X_XXX	0xd7
#define	XX_XX___	0xd8
#define	XX_XX__X	0xd9
#define	XX_XX_X_	0xda
#define	XX_XX_XX	0xdb
#define	XX_XXX__	0xdc
#define	XX_XXX_X	0xdd
#define	XX_XXXX_	0xde
#define	XX_XXXXX	0xdf
#define	XXX_____	0xe0
#define	XXX____X	0xe1
#define	XXX___X_	0xe2
#define	XXX___XX	0xe3
#define	XXX__X__	0xe4
#define	XXX__X_X	0xe5
#define	XXX__XX_	0xe6
#define	XXX__XXX	0xe7
#define	XXX_X___	0xe8
#define	XXX_X__X	0xe9
#define	XXX_X_X_	0xea
#define	XXX_X_XX	0xeb
#define	XXX_XX__	0xec
#define	XXX_XX_X	0xed
#define	XXX_XXX_	0xee
#define	XXX_XXXX	0xef
#define	XXXX____	0xf0
#define	XXXX___X	0xf1
#define	XXXX__X_	0xf2
#define	XXXX__XX	0xf3
#define	XXXX_X__	0xf4
#define	XXXX_X_X	0xf5
#define	XXXX_XX_	0xf6
#define	XXXX_XXX	0xf7
#define	XXXXX___	0xf8
#define	XXXXX__X	0xf9
#define	XXXXX_X_	0xfa
#define	XXXXX_XX	0xfb
#define	XXXXXX__	0xfc
#define	XXXXXX_X	0xfd
#define	XXXXXXX_	0xfe
#define	XXXXXXXX	0xff

static unsigned char const succUTF8[161][16] = {

{0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00},/*" ",0*/

{0x00,0x10,0x10,0x10,0x10,0x10,0x10,0x10,0x10,0x10,0x00,0x00,0x18,0x18,0x00,0x00},/*"!",1*/

{0x36,0x24,0x48,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00},/*""",2*/

{0x00,0x24,0x24,0x24,0x24,0xFE,0x48,0x48,0x48,0x48,0xFC,0x48,0x48,0x48,0x48,0x00},/*"#",3*/

{0x10,0x38,0x54,0x92,0x92,0x50,0x30,0x18,0x14,0x12,0x92,0x92,0x54,0x38,0x10,0x00},/*"$",4*/

{0x00,0x62,0x92,0x94,0x94,0x68,0x08,0x10,0x20,0x2C,0x52,0x52,0x92,0x8C,0x00,0x00},/*"%",5*/

{0x00,0x30,0x48,0x48,0x48,0x48,0x30,0x20,0x54,0x94,0x88,0x88,0x94,0x62,0x00,0x00},/*"&",6*/

{0x30,0x30,0x10,0x20,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00},/*"'",7*/

{0x04,0x08,0x10,0x10,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x10,0x10,0x08,0x04,0x00},/*"(",8*/

{0x40,0x20,0x10,0x10,0x08,0x08,0x08,0x08,0x08,0x08,0x08,0x10,0x10,0x20,0x40,0x00},/*")",9*/

{0x00,0x00,0x00,0x10,0x92,0x54,0x38,0x10,0x38,0x54,0x92,0x10,0x00,0x00,0x00,0x00},/*"*",10*/

{0x00,0x00,0x00,0x00,0x10,0x10,0x10,0xFE,0x10,0x10,0x10,0x00,0x00,0x00,0x00,0x00},/*"+",11*/

{0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x30,0x30,0x10,0x20,0x00},/*",",12*/

{0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x7C,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00},/*"-",13*/

{0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x30,0x30,0x00,0x00},/*".",14*/

{0x00,0x02,0x02,0x04,0x04,0x08,0x08,0x10,0x20,0x20,0x40,0x40,0x80,0x80,0x00,0x00},/*"/",15*/

{0x00,0x30,0x48,0x84,0x84,0x84,0x84,0x84,0x84,0x84,0x84,0x84,0x48,0x30,0x00,0x00},/*"0",16*/

{0x00,0x10,0x70,0x10,0x10,0x10,0x10,0x10,0x10,0x10,0x10,0x10,0x10,0x10,0x00,0x00},/*"1",17*/

{0x00,0x30,0x48,0x84,0x84,0x04,0x08,0x08,0x10,0x20,0x20,0x40,0x80,0xFC,0x00,0x00},/*"2",18*/

{0x00,0x30,0x48,0x84,0x84,0x04,0x08,0x30,0x08,0x04,0x84,0x84,0x48,0x30,0x00,0x00},/*"3",19*/

{0x00,0x08,0x08,0x18,0x18,0x28,0x28,0x48,0x48,0x88,0xFC,0x08,0x08,0x08,0x00,0x00},/*"4",20*/

{0x00,0xFC,0x80,0x80,0x80,0xB0,0xC8,0x84,0x04,0x04,0x04,0x84,0x48,0x30,0x00,0x00},/*"5",21*/

{0x00,0x30,0x48,0x84,0x84,0x80,0xB0,0xC8,0x84,0x84,0x84,0x84,0x48,0x30,0x00,0x00},/*"6",22*/

{0x00,0xFC,0x04,0x04,0x08,0x08,0x08,0x10,0x10,0x10,0x20,0x20,0x20,0x20,0x00,0x00},/*"7",23*/

{0x00,0x30,0x48,0x84,0x84,0x84,0x48,0x30,0x48,0x84,0x84,0x84,0x48,0x30,0x00,0x00},/*"8",24*/

{0x00,0x30,0x48,0x84,0x84,0x84,0x84,0x4C,0x34,0x04,0x84,0x84,0x48,0x30,0x00,0x00},/*"9",25*/

{0x00,0x00,0x00,0x00,0x00,0x30,0x30,0x00,0x00,0x00,0x00,0x30,0x30,0x00,0x00,0x00},/*":",26*/

{0x00,0x00,0x00,0x00,0x00,0x30,0x30,0x00,0x00,0x00,0x00,0x30,0x30,0x10,0x20,0x00},/*";",27*/

{0x00,0x00,0x04,0x08,0x10,0x20,0x40,0x80,0x40,0x20,0x10,0x08,0x04,0x00,0x00,0x00},/*"<",28*/

{0x00,0x00,0x00,0x00,0x00,0x7C,0x00,0x00,0x00,0x7C,0x00,0x00,0x00,0x00,0x00,0x00},/*"=",29*/

{0x00,0x00,0x80,0x40,0x20,0x10,0x08,0x04,0x08,0x10,0x20,0x40,0x80,0x00,0x00,0x00},/*">",30*/

{0x00,0x30,0x48,0x84,0x84,0x04,0x08,0x10,0x20,0x20,0x00,0x00,0x30,0x30,0x00,0x00},/*"?",31*/

{0x00,0x38,0x44,0x82,0x9A,0xAA,0xAA,0xAA,0xAA,0xAA,0x9C,0x80,0x42,0x3C,0x00,0x00},/*"@",32*/

{0x00,0x10,0x10,0x28,0x28,0x28,0x28,0x44,0x44,0x44,0x7C,0x82,0x82,0x82,0x00,0x00},/*"A",33*/

{0x00,0xF8,0x84,0x82,0x82,0x82,0x84,0xF8,0x84,0x82,0x82,0x82,0x84,0xF8,0x00,0x00},/*"B",34*/

{0x00,0x38,0x44,0x82,0x82,0x80,0x80,0x80,0x80,0x80,0x82,0x82,0x44,0x38,0x00,0x00},/*"C",35*/

{0x00,0xF8,0x84,0x82,0x82,0x82,0x82,0x82,0x82,0x82,0x82,0x82,0x84,0xF8,0x00,0x00},/*"D",36*/

{0x00,0xFE,0x80,0x80,0x80,0x80,0x80,0xFC,0x80,0x80,0x80,0x80,0x80,0xFE,0x00,0x00},/*"E",37*/

{0x00,0xFE,0x80,0x80,0x80,0x80,0x80,0xFC,0x80,0x80,0x80,0x80,0x80,0x80,0x00,0x00},/*"F",38*/

{0x00,0x38,0x44,0x82,0x82,0x80,0x80,0x80,0x8E,0x82,0x82,0x82,0x46,0x3A,0x00,0x00},/*"G",39*/

{0x00,0x82,0x82,0x82,0x82,0x82,0x82,0xFE,0x82,0x82,0x82,0x82,0x82,0x82,0x00,0x00},/*"H",40*/

{0x00,0x38,0x10,0x10,0x10,0x10,0x10,0x10,0x10,0x10,0x10,0x10,0x10,0x38,0x00,0x00},/*"I",41*/

{0x00,0x04,0x04,0x04,0x04,0x04,0x04,0x04,0x04,0x04,0x84,0x84,0x48,0x30,0x00,0x00},/*"J",42*/

{0x00,0x82,0x84,0x84,0x88,0x90,0x90,0xA0,0xD0,0x88,0x88,0x84,0x82,0x82,0x00,0x00},/*"K",43*/

{0x00,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0xFE,0x00,0x00},/*"L",44*/

{0x00,0x82,0x82,0xC6,0xC6,0xC6,0xC6,0xAA,0xAA,0xAA,0xAA,0x92,0x92,0x92,0x00,0x00},/*"M",45*/

{0x00,0x82,0x82,0xC2,0xC2,0xA2,0xA2,0x92,0x92,0x8A,0x8A,0x86,0x86,0x82,0x00,0x00},/*"N",46*/

{0x00,0x38,0x44,0x82,0x82,0x82,0x82,0x82,0x82,0x82,0x82,0x82,0x44,0x38,0x00,0x00},/*"O",47*/

{0x00,0xF8,0x84,0x82,0x82,0x82,0x84,0xF8,0x80,0x80,0x80,0x80,0x80,0x80,0x00,0x00},/*"P",48*/

{0x00,0x38,0x44,0x82,0x82,0x82,0x82,0x82,0x82,0x82,0x92,0x8A,0x44,0x3A,0x00,0x00},/*"Q",49*/

{0x00,0xF8,0x84,0x82,0x82,0x82,0x84,0xF8,0x88,0x88,0x84,0x84,0x82,0x82,0x00,0x00},/*"R",50*/

{0x00,0x38,0x44,0x82,0x82,0x80,0x60,0x18,0x04,0x02,0x82,0x82,0x44,0x38,0x00,0x00},/*"S",51*/

{0x00,0xFE,0x10,0x10,0x10,0x10,0x10,0x10,0x10,0x10,0x10,0x10,0x10,0x10,0x00,0x00},/*"T",52*/

{0x00,0x82,0x82,0x82,0x82,0x82,0x82,0x82,0x82,0x82,0x82,0x82,0x44,0x38,0x00,0x00},/*"U",53*/

{0x00,0x82,0x82,0x82,0x44,0x44,0x44,0x44,0x28,0x28,0x28,0x10,0x10,0x10,0x00,0x00},/*"V",54*/

{0x00,0x92,0x92,0x92,0x92,0xAA,0xAA,0xAA,0xAA,0x44,0x44,0x44,0x44,0x44,0x00,0x00},/*"W",55*/

{0x00,0x82,0x82,0x44,0x44,0x28,0x28,0x10,0x28,0x28,0x44,0x44,0x82,0x82,0x00,0x00},/*"X",56*/

{0x00,0x82,0x82,0x44,0x44,0x28,0x28,0x10,0x10,0x10,0x10,0x10,0x10,0x10,0x00,0x00},/*"Y",57*/

{0x00,0xFE,0x02,0x04,0x04,0x08,0x08,0x10,0x20,0x20,0x40,0x40,0x80,0xFE,0x00,0x00},/*"Z",58*/

{0x7C,0x40,0x40,0x40,0x40,0x40,0x40,0x40,0x40,0x40,0x40,0x40,0x40,0x40,0x7C,0x00},/*"[",59*/

{0x00,0x82,0x82,0x44,0x44,0x28,0x28,0x7C,0x10,0x10,0x7C,0x10,0x10,0x10,0x00,0x00},/*"\",60*/

{0x7C,0x04,0x04,0x04,0x04,0x04,0x04,0x04,0x04,0x04,0x04,0x04,0x04,0x04,0x7C,0x00},/*"]",61*/

{0x10,0x28,0x44,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00},/*"^",62*/

{0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFF},/*"_",63*/

{0x30,0x30,0x10,0x20,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00},/*"'",64*/

{0x00,0x00,0x00,0x00,0x00,0x00,0x78,0x84,0x04,0x3C,0x44,0x84,0x8C,0x76,0x00,0x00},/*"a",65*/

{0x00,0x80,0x80,0x80,0x80,0x80,0xB8,0xC4,0x82,0x82,0x82,0x82,0xC4,0xB8,0x00,0x00},/*"b",66*/

{0x00,0x00,0x00,0x00,0x00,0x00,0x3C,0x42,0x80,0x80,0x80,0x80,0x42,0x3C,0x00,0x00},/*"c",67*/

{0x00,0x02,0x02,0x02,0x02,0x02,0x3A,0x46,0x82,0x82,0x82,0x82,0x46,0x3A,0x00,0x00},/*"d",68*/

{0x00,0x00,0x00,0x00,0x00,0x00,0x38,0x44,0x82,0xFE,0x80,0x80,0x42,0x3C,0x00,0x00},/*"e",69*/

{0x00,0x18,0x20,0x20,0x20,0x20,0xF8,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x00,0x00},/*"f",70*/

{0x00,0x00,0x00,0x00,0x00,0x00,0x3A,0x44,0x44,0x38,0x40,0x7C,0x82,0x82,0x7C,0x00},/*"g",71*/

{0x00,0x80,0x80,0x80,0x80,0x80,0xB8,0xC4,0x82,0x82,0x82,0x82,0x82,0x82,0x00,0x00},/*"h",72*/

{0x00,0x00,0x10,0x10,0x00,0x00,0x10,0x10,0x10,0x10,0x10,0x10,0x10,0x10,0x00,0x00},/*"i",73*/

{0x00,0x00,0x10,0x10,0x00,0x00,0x10,0x10,0x10,0x10,0x10,0x10,0x10,0x10,0x60,0x00},/*"j",74*/

{0x00,0x80,0x80,0x80,0x80,0x80,0x84,0x88,0x90,0xA0,0xD0,0x88,0x84,0x82,0x00,0x00},/*"k",75*/

{0x00,0x10,0x10,0x10,0x10,0x10,0x10,0x10,0x10,0x10,0x10,0x10,0x10,0x10,0x00,0x00},/*"l",76*/

{0x00,0x00,0x00,0x00,0x00,0x00,0xAC,0xD2,0x92,0x92,0x92,0x92,0x92,0x92,0x00,0x00},/*"m",77*/

{0x00,0x00,0x00,0x00,0x00,0x00,0xB8,0xC4,0x82,0x82,0x82,0x82,0x82,0x82,0x00,0x00},/*"n",78*/

{0x00,0x00,0x00,0x00,0x00,0x00,0x38,0x44,0x82,0x82,0x82,0x82,0x44,0x38,0x00,0x00},/*"o",79*/

{0x00,0x00,0x00,0x00,0x00,0x00,0xB8,0xC4,0x82,0x82,0x82,0xC4,0xB8,0x80,0x80,0x00},/*"p",80*/

{0x00,0x00,0x00,0x00,0x00,0x00,0x3A,0x46,0x82,0x82,0x82,0x46,0x3A,0x02,0x02,0x00},/*"q",81*/

{0x00,0x00,0x00,0x00,0x00,0x00,0x2E,0x30,0x20,0x20,0x20,0x20,0x20,0x20,0x00,0x00},/*"r",82*/

{0x00,0x00,0x00,0x00,0x00,0x00,0x7C,0x82,0x80,0x60,0x1C,0x02,0x82,0x7C,0x00,0x00},/*"s",83*/

{0x00,0x00,0x20,0x20,0x20,0x20,0xF8,0x20,0x20,0x20,0x20,0x20,0x20,0x18,0x00,0x00},/*"t",84*/

{0x00,0x00,0x00,0x00,0x00,0x00,0x82,0x82,0x82,0x82,0x82,0x82,0x46,0x3A,0x00,0x00},/*"u",85*/

{0x00,0x00,0x00,0x00,0x00,0x00,0x82,0x82,0x44,0x44,0x28,0x28,0x10,0x10,0x00,0x00},/*"v",86*/

{0x00,0x00,0x00,0x00,0x00,0x00,0x92,0x92,0x92,0xAA,0xAA,0x44,0x44,0x44,0x00,0x00},/*"w",87*/

{0x00,0x00,0x00,0x00,0x00,0x00,0x82,0x44,0x28,0x10,0x10,0x28,0x44,0x82,0x00,0x00},/*"x",88*/

{0x00,0x00,0x00,0x00,0x00,0x00,0x82,0x82,0x44,0x44,0x28,0x28,0x10,0x20,0xC0,0x00},/*"y",89*/

{0x00,0x00,0x00,0x00,0x00,0x00,0xFE,0x04,0x08,0x10,0x20,0x40,0x80,0xFE,0x00,0x00},/*"z",90*/

{0x1C,0x10,0x10,0x10,0x10,0x10,0x10,0x20,0x10,0x10,0x10,0x10,0x10,0x10,0x1C,0x00},/*"{",91*/

{0x10,0x10,0x10,0x10,0x10,0x10,0x10,0x10,0x10,0x10,0x10,0x10,0x10,0x10,0x10,0x10},/*"|",92*/

{0x70,0x10,0x10,0x10,0x10,0x10,0x10,0x08,0x10,0x10,0x10,0x10,0x10,0x10,0x70,0x00},/*"}",93*/

{0x64,0x98,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00},/*"~",94*/

//Persian char
//------- 95 ""
{__X__X__,
 _X_XX___,
 ________,
 ___X____,
 ___X____,
 ___X____,
 ___X____,
 ___X____,
 ___X____,
 ___X____,
 ___X____,
 ___X____,
 ________,
 ________,
 ________,
 ________},
//------- 96 ""
{________,
 ________,
 ____X___,
 ____X___,
 ____X___,
 ____X___,
 ____X___,
 ____X___,
 ____X___,
 ____X___,
 _____X__,
 ______XX,
 ________,
 ________,
 ________,
 ________},
//------- 97 "
{________,
 ________,
 ________,
 ________,
 ________,
 ________,
 ________,
 ________,
 _______X,
 _______X,
 _______X,
 XXXXXXX_,
 ________,
 ________,
 ___X____,
 ________},
//------- 98 ""
{________,
 ________,
 ________,
 ________,
 ________,
 ________,
 ________,
 ________,
 _______X,
 X______X,
 X______X,
 _XXXXXX_,
 ________,
 ________,
 ___X____,
 ________},
//------- 99 "܁"
{________,
 ________,
 ________,
 ________,
 ________,
 ________,
 ________,
 ________,
 _______X,
 _______X,
 _______X,
 XXXXXXX_,
 ________,
 __X_X___,
 ___X____,
 ________},
//------- 100 ""
{________,
 ________,
 ________,
 ________,
 ________,
 ________,
 ________,
 ________,
 _______X,
 X______X,
 X______X,
 _XXXXXX_,
 ________,
 __X_X___,
 ___X____,
 ________},
//------- 101 ""
{________,
 ________,
 ________,
 ________,
 ________,
 ________,
 __X_X___,
 ________,
 _______X,
 _______X,
 _______X,
 XXXXXXX_,
 ________,
 ________,
 ________,
 ________},
//------- 102 ""
{________,
 ________,
 ________,
 ________,
 ________,
 ________,
 ___X_X__,
 ________,
 _______X,
 X______X,
 X______X,
 _XXXXXX_,
 ________,
 ________,
 ________,
 ________},
//------- 103 ""
{________,
 ________,
 ________,
 ________,
 ________,
 ___X____,
 __X_X___,
 ________,
 _______X,
 _______X,
 _______X,
 XXXXXXX_,
 ________,
 ________,
 ________,
 ________},
//------- 104 ""
{________,
 ________,
 ________,
 ________,
 ________,
 ____X___,
 ___X_X__,
 ________,
 _______X,
 X______X,
 X______X,
 _XXXXXX_,
 ________,
 ________,
 ________,
 ________},
//------- 105 ""
{________,
 ________,
 ________,
 ________,
 ________,
 ________,
 ________,
 __XXX___,
 _X___X__,
 ______X_,
 _____XXX,
 XXXXX___,
 ________,
 ________,
 ___X____,
 ________},
//------- 106 ""
{________,
 ________,
 ________,
 ________,
 ________,
 ________,
 ________,
 __XXX___,
 _X___X__,
 ______X_,
 __XXXXXX,
 _X______,
 X__X____,
 X_______,
 _XXXXX__,
 ________},
//------- 107 "܍"
{________,
 ________,
 ________,
 ________,
 ________,
 ________,
 ________,
 __XXX___,
 _X___X__,
 ______X_,
 _____XXX,
 XXXXX___,
 ________,
 __X_X___,
 ___X____,
 ________},
//------- 108 ""
{________,
 ________,
 ________,
 ________,
 ________,
 ________,
 ________,
 __XXX___,
 _X___X__,
 ______X_,
 __XXXXXX,
 _X______,
 X__X_X__,
 X___X___,
 _XXXXX__,
 ________},
//------- 109 ""
{________,
 ________,
 ________,
 ________,
 ________,
 ________,
 ________,
 __XXX___,
 _X___X__,
 ______X_,
 _____XXX,
 XXXXX___,
 ________,
 ________,
 ________,
 ________},
//------- 110 ""
{________,
 ________,
 ________,
 ________,
 ________,
 ________,
 ________,
 __XXX___,
 _X___X__,
 ______X_,
 __XXXXXX,
 _X______,
 X_______,
 X_______,
 _XXXXX__,
 ________},
//------- 111 ""
{________,
 ________,
 ________,
 ________,
 ___X____,
 ________,
 ________,
 __XXX___,
 _X___X__,
 ______X_,
 _____XXX,
 XXXXX___,
 ________,
 ________,
 ________,
 ________},
//------- 112 ""
{________,
 ________,
 ________,
 ________,
 ___X____,
 ________,
 ________,
 __XXX___,
 _X___X__,
 ______X_,
 __XXXXXX,
 _X______,
 X_______,
 X_______,
 _XXXXX__,
 ________},
//------- 113 ""
{________,
 ________,
 ________,
 ________,
 ________,
 ________,
 ________,
 _____X__,
 ______X_,
 _______X,
 _______X,
 __XXXXX_,
 ________,
 ________,
 ________,
 ________},
//------- 114 ""
{________,
 ________,
 ________,
 ________,
 ____X___,
 ________,
 ________,
 _____X__,
 ______X_,
 _______X,
 _______X,
 __XXXXX_,
 ________,
 ________,
 ________,
 ________},
//------- 115 ""
{________,
 ________,
 ________,
 ________,
 ________,
 ________,
 ________,
 ________,
 ________,
 ________,
 _______X,
 _______X,
 _______X,
 ______X_,
 ___XXX__,
 ________},
//------- 116 ""
{________,
 ________,
 ________,
 ________,
 ________,
 ________,
 ________,
 ______X_,
 ________,
 ________,
 _______X,
 _______X,
 _______X,
 ______X_,
 ___XXX__,
 ________},
//------- 117 "܎"
{________,
 ________,
 ________,
 ________,
 ________,
 ________,
 _____X__,
 ____X_X_,
 ________,
 ________,
 _______X,
 _______X,
 _______X,
 ______X_,
 ___XXX__,
 ________},
//------- 118 ""
{________,
 ________,
 ________,
 ________,
 ________,
 ________,
 ________,
 ________,
 _______X,
 ___X_X_X,
 ___X_X_X,
 XXX_X_X_,
 ________,
 ________,
 ________,
 ________},
//------- 119 ""
{________,
 ________,
 ________,
 ________,
 ________,
 ________,
 ________,
 ________,
 _______X,
 ___X_X_X,
 ___X_X_X,
 X___XXX_,
 X___X___,
 X___X___,
 _XXX____,
 ________},
//------- 120 ""
{________,
 ________,
 ________,
 ________,
 ________,
 _____X__,
 ____X_X_,
 ________,
 _______X,
 ___X_X_X,
 ___X_X_X,
 XXX_X_X_,
 ________,
 ________,
 ________,
 ________},
//------- 121 ""
{________,
 ________,
 ________,
 ________,
 ________,
 _____X__,
 ____X_X_,
 ________,
 _______X,
 ___X_X_X,
 ___X_X_X,
 X___XXX_,
 X___X___,
 X___X___,
 _XXX____,
 ________},
//------- 122 ""
{________,
 ________,
 ________,
 ________,
 ________,
 ________,
 ________,
 _____XX_,
 ____X__X,
 _X__X__X,
 _X_X___X,
 XXXXXXX_,
 ________,
 ________,
 ________,
 ________},
//------- 123 ""
{________,
 ________,
 ________,
 ________,
 ________,
 ________,
 ________,
 _____XX_,
 ____X__X,
 ____X__X,
 ___X___X,
 X___XXX_,
 X__X____,
 X__X____,
 _XX_____,
 ________},
//------- 124 ""
{________,
 ________,
 ________,
 ________,
 _____X__,
 ________,
 ________,
 _____XX_,
 ____X__X,
 _X__X__X,
 _X_X___X,
 XXXXXXX_,
 ________,
 ________,
 ________,
 ________},
//------- 125 ""
{________,
 ________,
 ________,
 ________,
 _____X__,
 ________,
 ________,
 _____XX_,
 ____X__X,
 ____X__X,
 ___X___X,
 X___XXX_,
 X__X____,
 X__X____,
 _XX_____,
 ________},
//------- 126 ""
{________,
 ________,
 __X_____,
 __X_____,
 __X_____,
 __X_____,
 __X_____,
 __X__XX_,
 __X_X__X,
 __XX___X,
 __X____X,
 XXXXXXX_,
 ________,
 ________,
 ________,
 ________},
//------- 127 ""
{________,
 ________,
 __X_____,
 __X_____,
 __X__X__,
 __X_____,
 __X_____,
 __X__XX_,
 __X_X__X,
 __XX___X,
 __X____X,
 XXXXXXX_,
 ________,
 ________,
 ________,
 ________},
//------- 128 ""
{________,
 ________,
 ________,
 ________,
 ________,
 ________,
 ___XXX__,
 __X___X_,
 _X______,
 _X______,
 __XXXXXX,
 XX______,
 ________,
 ________,
 ________,
 ________},
//------- 129 ""
{________,
 ________,
 ________,
 ________,
 ________,
 ________,
 ___XXX__,
 __X___X_,
 _X______,
 _X______,
 __XXXXXX,
 _X______,
 X_______,
 X_______,
 _XXXXXX_,
 ________},
//------- 130 ""
{________,
 ________,
 ________,
 ____X___,
 ________,
 ________,
 ___XXX__,
 __X___X_,
 _X______,
 _X______,
 __XXXXXX,
 XX______,
 ________,
 ________,
 ________,
 ________},
//------- 131 ""
{________,
 ________,
 ________,
 ____X___,
 ________,
 ________,
 ___XXX__,
 __X___X_,
 _X______,
 _X______,
 __XXXXXX,
 _X______,
 X_______,
 X_______,
 _XXXXXX_,
 ________},
//------- 132 ""
{________,
 ________,
 ________,
 ________,
 _____X__,
 ________,
 ________,
 _____XX_,
 ____X__X,
 ____X__X,
 ____X__X,
 XXXX_XX_,
 ________,
 ________,
 ________,
 ________},
//------- 133 ""
{________,
 ________,
 ________,
 ________,
 ____X___,
 ________,
 ________,
 _____XX_,
 ____X__X,
 X___XXXX,
 X______X,
 XXXXXXX_,
 ________,
 ________,
 ________,
 ________},
//------- 134 ""
{________,
 ________,
 ________,
 ________,
 ____X_X_,
 ________,
 ________,
 _____XX_,
 ____X__X,
 ____X__X,
 ____X__X,
 XXXX_XX_,
 ________,
 ________,
 ________,
 ________},
//------- 135 ""
{________,
 ________,
 ________,
 ________,
 ____X_X_,
 ________,
 ________,
 _____XX_,
 ____X__X,
 ____XXXX,
 X______X,
 X______X,
 X______X,
 _XXXXXX_,
 ________,
 ________},
//------- 136 "ܘ"
{________,
 ________,
 ________,
 _______X,
 _____XX_,
 ____X___,
 ___X____,
 ____X___,
 _____X__,
 ______X_,
 ______XX,
 XXXXXX__,
 ________,
 ________,
 ________,
 ________},
//------- 137 "ܘ"
{________,
 ________,
 ________,
 _______X,
 _____XX_,
 ____X___,
 ___X____,
 ____X___,
 _____X__,
 X_____X_,
 X_____XX,
 XXXXXX__,
 ________,
 ________,
 ________,
 ________},
//------- 138 "ܐ"
{________,
 ________,
 ______XX,
 ____XX__,
 __XX__XX,
 ____XX__,
 __XX____,
 __X_____,
 ___XX___,
 _____XX_,
 ______XX,
 XXXXXX__,
 ________,
 ________,
 ________,
 ________},
//------- 139 "ܐ"
{________,
 ________,
 ______XX,
 ____XX__,
 __XX__XX,
 ____XX__,
 __XX____,
 __X_____,
 ___XX___,
 X____XX_,
 X_____XX,
 XXXXXX__,
 ________,
 ________,
 ________,
 ________},
//------- 140 ""
{________,
 ________,
 _______X,
 _______X,
 _______X,
 _______X,
 _______X,
 _______X,
 _______X,
 _______X,
 _______X,
 XXXXXXX_,
 ________,
 ________,
 ________,
 ________},
//------- 141 ""
{________,
 ________,
 ______X_,
 ______X_,
 ______X_,
 ______X_,
 ______X_,
 ______X_,
 _______X,
 _______X,
 _X_____X,
 X______X,
 X______X,
 X______X,
 _XXXXXX_,
 ________},
//------- 142 ""
{________,
 ________,
 ________,
 ________,
 ________,
 ________,
 ________,
 ________,
 ________,
 _____XXX,
 ____X__X,
 XXXX___X,
 ____XXX_,
 ________,
 ________,
 ________},
//------- 143 ""
{________,
 ________,
 ________,
 ________,
 ________,
 ________,
 ________,
 ________,
 _____XXX,
 ____X__X,
 _XXXX__X,
 X____XX_,
 X_______,
 X_______,
 _X______,
 ________},
//------- 144 ""
{________,
 ________,
 ________,
 ________,
 ________,
 _____X__,
 ________,
 ________,
 _______X,
 _______X,
 _______X,
 XXXXXXX_,
 ________,
 ________,
 ________,
 ________},
//------- 145 ""
{________,
 ________,
 ________,
 ________,
 ________,
 ________,
 ________,
 ________,
 ____X___,
 ________,
 _X______,
 X______X,
 X______X,
 X______X,
 _XXXXXX_,
 ________},
//------- 146 ""
{________,
 ________,
 ________,
 ________,
 ________,
 ________,
 ________,
 ________,
 _____XX_,
 ____X__X,
 ____X__X,
 _____XX_,
 ______X_,
 _____X__,
 __XXX___,
 ________},
//------- 147 ""
{________,
 ________,
 ________,
 ________,
 ________,
 ________,
 ____XX__,
 _____XX_,
 ____X_XX,
 ___X_X_X,
 ___XXX_X,
 XXXX__X_,
 ________,
 ________,
 ________,
 ________},
//------- 148 ""
{________,
 ________,
 ________,
 ________,
 ________,
 ________,
 ________,
 ___X____,
 ____XX__,
 ____X_X_,
 ____X__X,
 _____XX_,
 ________,
 ________,
 ________,
 ________},
//------- 149 ""
{________,
 ________,
 ________,
 ________,
 ________,
 ________,
 ________,
 ________,
 _______X,
 _______X,
 _______X,
 XXXXXXX_,
 ________,
 ________,
 ___X_X__,
 ________},
//------- 150 ""
{________,
 ________,
 ________,
 ________,
 ________,
 ________,
 ________,
 ________,
 ________,
 _____XX_,
 ____X__X,
 _X___X__,
 X_____XX,
 _X_____X,
 __XXXXX_,
 ________},
 
 //STATUS:
//------- 151 Ant"
{________,
 ________,
 ________,
 ________,
 ________,
 ___XX___,
 XXXXXXXX,
 X__XX__X,
 _X_XX_X_,
 __X__X__,
 ___XX___,
 ___XX___,
 ___XX___,
 ___XX___,
 ___XX___,
 ________},
//------- 152 Ant1"
{________,
 ________,
 ________,
 ________,
 ________,
 ________,
 ________,
 ________,
 ________,
 ________,
 ________,
 ________,
 ________,
 XX______,
 XX______,
 ________},
//------- 153 Ant2"
{________,
 ________,
 ________,
 ________,
 ________,
 ________,
 ________,
 ________,
 ________,
 ________,
 ___XX___,
 ___XX___,
 ___XX___,
 XX_XX___,
 XX_XX___,
 ________},
//------- 154 Ant3"
{________,
 ________,
 ________,
 ________,
 ________,
 ________,
 ______XX,
 ______XX,
 ______XX,
 ______XX,
 ___XX_XX,
 ___XX_XX,
 ___XX_XX,
 XX_XX_XX,
 XX_XX_XX,
 ________},
//------- 155 BAT0
{________,
 ________,
 ________,
 ________,
 ________,
 ___XX___,
 _XXXXXX_,
 _X____X_,
 _X_XX_X_,
 _X_XX_X_,
 _X_XX_X_,
 _X____X_,
 _X_XX_X_,
 _X____X_,
 _XXXXXX_,
 ________},
//------- 156 BAT1
{________,
 ________,
 ________,
 ________,
 ________,
 ___XX___,
 _XXXXXX_,
 _X____X_,
 _X____X_,
 _X____X_,
 _X____X_,
 _X____X_,
 _XXXXXX_,
 _XXXXXX_,
 _XXXXXX_,
 ________},
//------- 157 BAT2
{________,
 ________,
 ________,
 ________,
 ________,
 ___XX___,
 _XXXXXX_,
 _X____X_,
 _X____X_,
 _X____X_,
 _XXXXXX_,
 _XXXXXX_,
 _XXXXXX_,
 _XXXXXX_,
 _XXXXXX_,
 ________},
//------- 158 BAT3
{________,
 ________,
 ________,
 ________,
 ________,
 ___XX___,
 _XXXXXX_,
 _X____X_,
 _XXXXXX_,
 _XXXXXX_,
 _XXXXXX_,
 _XXXXXX_,
 _XXXXXX_,
 _XXXXXX_,
 _XXXXXX_,
 ________},
//------- 159 BAT4
{________,
 ________,
 ________,
 ________,
 ________,
 ___XX___,
 _XXXXXX_,
 _XXXXXX_,
 _XXXXXX_,
 _XXXXXX_,
 _XXXXXX_,
 _XXXXXX_,
 _XXXXXX_,
 _XXXXXX_,
 _XXXXXX_,
 ________},
//------- 160 BAT CHG
{________,
 ________,
 ________,
 ________,
 ________,
 _X____X_,
 _X____X_,
 _X____X_,
 XXXXXXXX,
 _XXXXXX_,
 _XXXXXX_,
 _XXXXXX_,
 __XXXX__,
 ___XX___,
 ___XX___,
 ________},
};

static unsigned int const suicALLAH[16] = {
/*
 _______________X_____________X__,
 _______________X____________XX__,
 ____________________________XX__,
 ____________X__X__X____X____XX__,
 _____________XX_XX____XX____XX__,
 ______________________XX____XX__,
 _______________X______XX____XX__,
 ________X_____XX______XX____XX__,
 _______XX_____XX______XX____XX__,
 _____XXX______XX______XX____XX__,
 ___XXXX_______XX______XX____XX__,
 _XX__XX_______XX______XX____XX__,
 _XX__XXX_____XXXX_____XX____XX__,
 __XXXX_XX___XX__XX___XX_____XX__,
 ________XXXXX____XXXXX_____XX___,
 ________________________________*/
 65540,
 65548,
 12,
 598284,
 443148,
 780,
 66316,
 8585996,
 25363212,
 117637900,
 503513868,
 1711473420,
 1728545548,
 1032635916,
 16284696,
 0
};

//utf-8 to system UTF8 Conversion
static unsigned char const succConversion[38][2] = {
 //0xD8A2
 95 +0x20,//00 095 ""
 //0xD8A7 >=
 96 +0x20,//00 096 ""
 //0xD8A8
 97 +0x20,98 +0x20,//01 097 " "
 //0xD8AA-0xD8BA
 101+0x20,102+0x20,//02 101 " "
 103+0x20,104+0x20,//03 103 " "
 105+0x20,106+0x20,//04 105 " "
 109+0x20,110+0x20,//05 109 " "
 111+0x20,112+0x20,//06 111 " "
 113+0x20,113+0x20,//07 113 "  "
 114+0x20,114+0x20,//08 114 "  "
 115+0x20,115+0x20,//09 115 " "
 116+0x20,116+0x20,//10 116 " "
 118+0x20,119+0x20,//11 118 " "
 120+0x20,121+0x20,//12 120 " "
 122+0x20,123+0x20,//13 122 " "
 124+0x20,125+0x20,//14 124 " "
     0x00,0x00    ,//15 RESERVED
 126+0x20,126+0x20,//16 126 " "
 127+0x20,127+0x20,//17 127 " "
 128+0x20,129+0x20,//18 128 " "
 130+0x20,131+0x20,//19 130 " 
     0x00,0x00    ,//20 RESERVED"
 //0xD981 - 0xD989
 132+0x20,133+0x20,//21 132 " "
 134+0x20,135+0x20,//22 134 " "
 136+0x20,137+0x20,//23 136 " ܘ"//HEX:0xDAA9
     0x00,0x00    ,//24 RESERVED
 140+0x20,141+0x20,//25 140 " "
     0x00,0x00    ,//26 RESERVED
 142+0x20,143+0x20,//27 142 " "
 144+0x20,145+0x20,//27 144 " "
 147+0x20,148+0x20,//29 147 " "//HEX:0xD8A9
 146+0x20,146+0x20,//30 146 " "
     0x00,0x00    ,//31 RESERVED
 138+0x20,139+0x20,//32 138 " ܐ"
 107+0x20,108+0x20,//33 107 " ܍"
  99+0x20,100+0x20,//34 099 " ܁"
 117+0x20,117+0x20,//35 117 " "
 149+0x20,150+0x20,//36 149 " "//HEX:0xD98A-0xDB8C
 149+0x20,150+0x20,//37 149 " "//HEX:0xD98A-0xDB
};

//KeyBoards
static unsigned char const succKeyBoardCh[56][3] = {
 //Fa EnS EnC
 '\n', '\n', '\n',
 ' ', ' ', ' ',
 '.', '.', '.',
 ',', ',', ',',
 '~', '{', '^',
 '|', '}', '_',
 '', '*', '!',
 '', '+', '"',
 '', ',', '#',
 '', '-', '$',
 '>', '.', '%',
 '?', '/', '&',
 '@', ':', '\'',
 '[', ';', ':',
 '/', '<', '(',
 ']', '=', ')',
 '0', '0', '0',
 '1', '1', '1',
 '2', '2', '2',
 '3', '3', '3',
 '4', '4', '4',
 '5', '5', '5',
 '6', '6', '6',
 '7', '7', '7',
 '8', '8', '8',
 '9', '9', '9',
 '', 'q', 'Q',
 '', 'w', 'W',
 '', 'e', 'E',
 '', 'r', 'R',
 '', 't', 'T',
 '', 'y', 'Y',
 '', 'u', 'U',
 '', 'i', 'I',
 '', 'o', 'O',
 '', 'p', 'P',
 '', 'a', 'A',
 '', 's', 'S',
 '', 'd', 'D',
 '', 'f', 'F',
 '', 'g', 'G',
 '', 'h', 'H',
 '', 'j', 'J',
 '', 'k', 'K',
 '', 'l', 'L',
 '', '*', '*',
 '', 'z', 'Z',
 '', 'x', 'X',
 '', 'c', 'C',
 '', 'v', 'V',
 '', 'b', 'B',
 '', 'n', 'N',
 '', 'm', 'M',
 '', '#', '#'
};

//Hex
static unsigned char const succITOHex[16] = {
	'0',
	'1',
	'2',
	'3',
	'4',
	'5',
	'6',
	'7',
	'8',
	'9',
	'A',
	'B',
	'C',
	'D',
	'E',
	'F'
};
