/*************************************************************************
 *
 **************************************************************************/
#include "includes.h"
#include "System/system.h"

bool cTxos::bReadMPXFile()
{
	unsigned char ucI = 0;
			
	while(ucI<16)
	{
		ucI++;
		vReadDir();
		//Supported formats: .MPX .MAT
		if((ucFileType[0] == 'M'
		    && ucFileType[1] == 'P'
		    && ucFileType[2] == 'X')
		   ||(ucFileType[0] == 'M'
		      && ucFileType[1] == 'A'
		      && ucFileType[2] == 'T')
		   ||(ucFileType[0] == 'm'
		      && ucFileType[1] == 'a'
		      && ucFileType[2] == 't'))
		{
			if(bOpenFile(usFileOSR))
			{
				if(!bReadFile())
					return 0;
				
				uiMPXCount = ucFileBlockData[0x31]
							 |(ucFileBlockData[0x32]<<8)
							 |(ucFileBlockData[0x33]<<16)
							 |(ucFileBlockData[0x34]<<24);
				
				uiMPXCount/=(235*254);
							  
				return 1;
			}
			
			return 0;
		}
	}
	
	return 0;
}
